.explorer-window {
    flex-grow: 1;
    max-width: 800px;

    display: flex;
    flex-direction: column;
    width: 100%;
}

@media only screen and (min-width: 800px) {
    .explorer-window {
        max-height: 600px;
    }
}

.explorer-window-body {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.explorer-title-bar {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
}

.explorer-window-controls {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}

.explorer-nav {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
}

.explorer-button-indent {
    display: flex;
    flex-direction: row;
    gap: 0px;
    padding-top: 1px;
    padding-left: 1.5px;
    height: 30px;
    width: 60px;
    background-repeat: no-repeat;
    background-image: url("/assets/explorer-button-indent.webp");
}

.explorer-nav-button {
    background-image: url("/assets/explorer-button-sprite.webp");
    background-repeat: no-repeat;
    width: 27px;
    height: 27px;
}

.explorer-nav-button:hover {
    background-position: top -27px left 0px;
}

.explorer-nav-button:active {
    background-position: top -54px left 0px;
}

.explorer-nav-button-disabled {
    background-image: url("/assets/explorer-button-sprite.webp");
    background-repeat: no-repeat;
    width: 27px;
    height: 27px;

    background-position: top -81px left 0px;
}

.explorer-nav-bar {
    background-color: rgba(255,255,255,.6666666667);
    border: 0.5px solid rgba(0,0,0,.6666666667);
    box-shadow: 0 0 0 1px rgba(255,255,255,.4666666667),inset 0 0 0 1px #fff;
    flex-grow: 1;
    padding: 0.25em;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
}

.explorer-table {
    width: 100%;
    border: none;
    border-collapse: separate;
    border-spacing: 0px;
}

.explorer-table td {
    color: #505050;
    width: 100%;
    border-top: 1px solid white;
    border-bottom: 1px solid white;
}

.explorer-table tr {
    cursor: pointer;
}

/* Override a style from 7.css that is faulty */
.explorer-table > thead > tr > .highlighted {
    border-radius: 0px !important;
}

.explorer-table td:first-child {
    border-radius: var(--w7-el-bdr) 0 0 var(--w7-el-bdr);
    border-left: 1px solid white;
}

.explorer-table td:last-child {
    border-radius: 0 var(--w7-el-bdr) var(--w7-el-bdr) 0;
    border-right: 1px solid white;
}

/* Copied styles from 7.css "highlighted" class */

.explorer-table tr:hover {
    background: linear-gradient(to top, #f2f7fe, #fcfdfe);
    /*border-radius: var(--w7-el-bdr);*/
    box-shadow: inset 0 0 0 1px rgba(255,255,255,.6666666667);
    /*border: 1px solid #b8d6fc;*/
}

.explorer-table tr:hover td {
    border-top: 1px solid #b8d6fc;
    border-bottom: 1px solid #b8d6fc;
}

.explorer-table tr:hover td:first-child {
    border-radius: var(--w7-el-bdr) 0 0 var(--w7-el-bdr);
    border-left: 1px solid #b8d6fc;
}

.explorer-table tr:hover td:last-child {
    border-radius: 0 var(--w7-el-bdr) var(--w7-el-bdr) 0;
    border-right: 1px solid #b8d6fc;
}

.explorer-table tr:active {
    background: linear-gradient(to top, #c1dcfc, #dcebfc);
    border-radius: var(--w7-el-bdr);
    border: 1px solid #b8d6fc;
}

.explorer-item-name {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 2px;
    color: black !important;
    width: 100%;
}

.explorer-item-icon {
    height: 1.25em;
}

.explorer-col-name {
    width: 50%;
}

.explorer-col-date {
    width: 135px;
}

.explorer-col-type {

}

.explorer-col-size {
    width: 90px;
}

td.explorer-col-size {
    text-align: right;
}

.explorer-col-remove {
    width: 30px;
}

.explorer-table-container {
    width: 100%;
    overflow-y: scroll;
    height: 0px;
    flex-grow: 1;
    background-color: white;
    container-type: inline-size;
}

@container (max-width: 650px) {
    .explorer-col-type {
        display: none;
    }
}

@container (max-width: 450px) {
    .explorer-col-date {
        display: none;
    }

    .explorer-col-size {
        width: 25%;
    }

    .explorer-col-name {
        width: 75%;
    }
}

.upload-window {
    max-width: 475px;
    width: 100%;
}

.upload-window .explorer-table .explorer-col-name {
    width: 75%;
}

.upload-window .explorer-table .explorer-col-size {
    width: auto;
}
